org.hibernate.search.engine.spi

## Interface EntityIndexBinding

- All Known Implementing Classes:
    MutableEntityIndexBinding

      public interface EntityIndexBinding

  Specifies the relation and options from an indexed entity to its index(es).
  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc., Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentBuilderIndexedEntity` | `getDocumentBuilder()`
    `EntityIndexingInterceptor` | `getEntityIndexingInterceptor()`
    `IndexManagerSelector` | `getIndexManagerSelector()`
    `IndexManagerType` | `getIndexManagerType()`
    `ShardIdentifierProvider` | `getShardIdentifierProvider()`
    `Similarity` | `getSimilarity()`
    `void` | `postInitialize(IndexedTypeSet indexedClasses)` Called once during bootstrapping

- - ### Method Detail

    - #### getSimilarity

          Similarity getSimilarity()

      Returns:
        the `Similarity` used to search and index this entity

    - #### getIndexManagerSelector

          IndexManagerSelector getIndexManagerSelector()

      Returns:
        the index manager selector

    - #### getShardIdentifierProvider

          ShardIdentifierProvider getShardIdentifierProvider()

      Returns:
        the shard identifier provider. Can be `null` depending on selected `IndexShardingStrategy`.

    - #### getDocumentBuilder

          DocumentBuilderIndexedEntity getDocumentBuilder()

      Returns:
        the document builder for this binding

    - #### postInitialize

          void postInitialize(IndexedTypeSet indexedClasses)

      Called once during bootstrapping
      Parameters:
        `indexedClasses` - set of indexed classes

    - #### getIndexManagerType

          IndexManagerType getIndexManagerType()

      Returns:
        the type of index managers

    - #### getEntityIndexingInterceptor

          EntityIndexingInterceptor getEntityIndexingInterceptor()

      Returns:
        the interceptor for indexing operations. Can be `null`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved